package grafos.dijkstra.cliente;

import grafos.dijkstra.modelo.CaminoMinimo;
import grafos.matrizadyacencia.modelo.GrafoMatriz;

public class ClienteMainDijkstra {

	public static void main(String[] args) {
		GrafoMatriz grafo = new GrafoMatriz(6);

		grafo.nuevoVertice("V1");
		grafo.nuevoVertice("V2");
		grafo.nuevoVertice("V3");
		grafo.nuevoVertice("V4");
		grafo.nuevoVertice("V5");
		grafo.nuevoVertice("V6");
		// Inicializa con infinito cada peso de la matriz
		grafo.inicializarMatrizPesos();
		try {
			grafo.nuevoArco("V1", "V2", 3);
			grafo.nuevoArco("V1", "V3", 4);
			grafo.nuevoArco("V1", "V5", 8);
			grafo.nuevoArco("V2", "V5", 5);
			grafo.nuevoArco("V3", "V5", 3);
			grafo.nuevoArco("V5", "V4", 7);
			grafo.nuevoArco("V5", "V6", 3);
			grafo.nuevoArco("V6", "V4", 2);
			mostrarMatriz(grafo.getMatriz());
			CaminoMinimo cm = new CaminoMinimo(grafo, "V1");
			cm.caminoMinimos();

			System.out.println("Matriz de caminos del vector v4:");

			cm.recuperarCamino("V4");
			cm.imprimirCostosMinimos();

		} catch (Exception e) {
			System.out.println("Excepcion" + e.getMessage());
		}
	}

	public static void mostrarMatriz(int[][] matriz) {
		System.out.println("Matriz de pesos:");
		for (int i = 0; i < matriz.length; i++) {
			for (int j = 0; j < matriz.length; j++)
				System.out.print(matriz[i][j] + "\t");
			System.out.println();
		}
	}
}
