package grafos.floyd.cliente;

import grafos.floyd.modelo.TodoCaminoMinimo;
import grafos.matrizadyacencia.modelo.GrafoMatriz;

public class ClienteMainFloyd {

	public static void main(String[] args) {
		GrafoMatriz grafo = new GrafoMatriz(5);

		grafo.nuevoVertice("V1");
		grafo.nuevoVertice("V2");
		grafo.nuevoVertice("V3");
		grafo.nuevoVertice("V4");
		grafo.nuevoVertice("V5");
		// Inicializa con infinito cada peso de la matriz
		grafo.inicializarMatrizPesos();
		try {
			grafo.nuevoArco("V1", "V2", 1);
			grafo.nuevoArco("V2", "V4", 4);
			grafo.nuevoArco("V2", "V5", 7);
			grafo.nuevoArco("V3", "V1", 3);
			grafo.nuevoArco("V3", "V2", 2);
			grafo.nuevoArco("V3", "V5", 4);
			grafo.nuevoArco("V4", "V1", 6);
			grafo.nuevoArco("V4", "V5", 2);
			grafo.nuevoArco("V5", "V4", 3);
			System.out.println("Matriz de pesos antes de poner la diagonal en cero:");
			mostrarMatriz(grafo.getMatriz());
			TodoCaminoMinimo cm = new TodoCaminoMinimo(grafo);
			cm.todosCaminosMinimos();

			System.out.println("Matriz de caminos minimos:");
			mostrarMatriz(cm.matrizCaminos());

		} catch (Exception e) {
			System.out.println("Excepcion" + e.getMessage());
		}
	}

	public static void mostrarMatriz(int[][] matriz) {
		
		for (int i = 0; i < matriz.length; i++) {
			for (int j = 0; j < matriz.length; j++)
				System.out.print(matriz[i][j] + "\t");
			System.out.println();
		}
	}
}
