package grafos.floyd.modelo;

import grafos.matrizadyacencia.modelo.GrafoMatriz;

// Implementacion del Algoritmo Floyd
public class TodoCaminoMinimo {
	private int[][] pesos;
	private int[][] traza;
	private int[][] d;
	// Numero de vertices
	private int n;

	/**
	 * Constructor
	 * 
	 * @param g
	 *            grafo
	 */
	public TodoCaminoMinimo(GrafoMatriz g) {
		n = g.numeroDeVertices();

		pesos = g.getMatriz();
		d = new int[n][n];
		traza = new int[n][n];
	}

	public void todosCaminosMinimos() {
		// Obtener d: matriz inicial es la matriz de pesos
		for (int i = 0; i < n; i++)
			for (int j = 0; j < n; j++) {
				d[i][j] = pesos[i][j];
				// indica que caminio mas corto es el arco
				traza[i][j] = -1;
			}
		// Establecer el camino minimo asi mismo como cero
		for (int i = 0; i < n; i++)
			d[i][i] = 0;

		for (int k = 0; k < n; k++)
			for (int i = 0; i < n; i++)
				for (int j = 0; j < n; j++)
					// K: nuevo vertice que se incorpora
					if ((d[i][k] + d[k][j]) < d[i][j]) {
						// nuevo minimo
						d[i][j] = d[i][k] + d[k][j];
						traza[i][j] = k;
					}
	}

	public int[][] matrizCaminos() {
		return d;
	}

	public int[][] getTraza() {
		return traza;
	}
}
