package grafos.matrizadyacencia.cliente;

import grafos.matrizadyacencia.modelo.GrafoMatriz;

public class ClienteMain {

	/**
	 * Crea una instacia del grafo utilizando la clase GrafoMatriz. Al construcro de esta 
	 * clase se le debe pasar el numero de nodos del grafo. Las llamadas al método nuevoVertice(),
	 * crea el vertice y lo asigna a la estructura. Luego se crean los arcos, para lo cual se leen
	 * los pares de vertices con sus nombres y se llama al método nuevoArco().
	 * Se puede llamar al metodo adyacente para saber si dos nodos son adyacentes.
	 * Opcionalmente se puede imprimir los vertices: imprimirVertices(), 
	 * y  la matriz: imprimirMatriz(). 
	 */
	public static void main(String[] args) {
		GrafoMatriz grafo = new GrafoMatriz(5);
		grafo.nuevoVertice("D");
		grafo.nuevoVertice("F");
		grafo.nuevoVertice("K");
		grafo.nuevoVertice("L");
		grafo.nuevoVertice("R");
		
		try {
			grafo.nuevoArco("D", "F");
			grafo.nuevoArco("D", "K");
			grafo.nuevoArco("F", "D");
			grafo.nuevoArco("L", "K");
			grafo.nuevoArco("L", "F");
			grafo.nuevoArco("R", "D");
			System.out.println("Adyancete D y F? " + grafo.adyacente("D", "F"));
			System.out.println("Adyancete F y D? " + grafo.adyacente("F", "D"));
			System.out.println("Adyancete R y F? " + grafo.adyacente("R", "F"));
			System.out.println("Vertices:");
			System.out.println(grafo.imprimirVertices());
			System.out.println("Matriz de adyacencia:");
			System.out.println(grafo.imprimirMatriz());
			System.out.println("ELIMINAR ARCO");
			grafo.borrarVertice("L");
			System.out.println(grafo.imprimirMatriz());
			System.out.println("Vertices:");
			System.out.println(grafo.imprimirVertices());
			
		} catch (Exception e) {
			e.printStackTrace();
		}

	}
}
